package GenRGenS.ratexpr;

/** Classe représentant l'expression f|g */
class RatExprOu implements RatExpr {
	
	RatExpr _e1,_e2;
	
	public RatExprOu(RatExpr e1, RatExpr e2) {
		_e1 = e1;
		_e2 = e2;
	}
	
	public RatExpr getLeft() { return _e1; }
	
	public RatExpr getRight() { return _e2; }
	
	public String toString() {
		return "("+_e1.toString()+" | "+_e2.toString()+")";
	}
}